diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/hell/ChunkGeneratorOverworldHell.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/hell/ChunkGeneratorOverworldHell.java
index d73d388be..8489f917e 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/hell/ChunkGeneratorOverworldHell.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/hell/ChunkGeneratorOverworldHell.java
@@ -6,13 +6,12 @@ import net.minecraft.core.world.generate.LargeFeature;
 import net.minecraft.core.world.generate.chunk.perlin.ChunkGeneratorPerlin;
 import net.minecraft.core.world.generate.chunk.perlin.overworld.SurfaceGeneratorOverworld;
 import net.minecraft.core.world.generate.chunk.perlin.overworld.TerrainGeneratorOverworld;
+import org.jetbrains.annotations.NotNull;
 
 public class ChunkGeneratorOverworldHell
-    extends ChunkGeneratorPerlin
-{
+    extends ChunkGeneratorPerlin {
 
-    public ChunkGeneratorOverworldHell(World world)
-    {
-        super(world, new ChunkDecoratorOverworldHell(world), new TerrainGeneratorOverworld(world), new SurfaceGeneratorOverworld(world), new LargeFeature[] { new CavesLargeFeature() });
+    public ChunkGeneratorOverworldHell(@NotNull World world) {
+        super(world, new ChunkDecoratorOverworldHell(world), new TerrainGeneratorOverworld(world), new SurfaceGeneratorOverworld(world), new LargeFeature[]{new CavesLargeFeature()});
     }
 }
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/ChunkDecoratorOverworldRetro.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/ChunkDecoratorOverworldRetro.java
index cbb5bea1e..2522b96fe 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/ChunkDecoratorOverworldRetro.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/ChunkDecoratorOverworldRetro.java
@@ -15,218 +15,191 @@ import net.minecraft.core.world.generate.feature.*;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTree;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreeFancy;
 import net.minecraft.core.world.noise.RetroPerlinNoise;
+import org.jetbrains.annotations.NotNull;
 
 import java.util.Random;
 
 public class ChunkDecoratorOverworldRetro
-    implements ChunkDecorator
-{
-    private final World world;
-    private final RetroPerlinNoise treeDensityNoise;
+    implements ChunkDecorator {
+    private final @NotNull World world;
+    private final @NotNull RetroPerlinNoise treeDensityNoise;
 
     private final boolean snowCovered;
 
-    public ChunkDecoratorOverworldRetro(World world)
-    {
+    public ChunkDecoratorOverworldRetro(@NotNull World world) {
         this.world = world;
 
-        treeDensityNoise = new RetroPerlinNoise(world.getRandomSeed(), 8, 74);
+        this.treeDensityNoise = new RetroPerlinNoise(world.getRandomSeed(), 8, 74);
 
-        snowCovered = false;//new Random(world.getRandomSeed()).nextBoolean();
+        this.snowCovered = false;//new Random(world.getRandomSeed()).nextBoolean();
     }
 
     @Override
-    public void decorate(Chunk chunk)
-    {
-        world.scheduledUpdatesAreImmediate = true;
+    public void decorate(@NotNull Chunk chunk) {
+        this.world.scheduledUpdatesAreImmediate = true;
         int chunkX = chunk.pos.x;
         int chunkZ = chunk.pos.z;
 
-        int minY = world.getWorldType().getMinY();
-        int maxY = world.getWorldType().getMaxY();
+        int minY = this.world.getWorldType().getMinY();
+        int maxY = this.world.getWorldType().getMaxY();
         int rangeY = (maxY + 1) - minY;
 
         BlockLogicSand.fallInstantly = true;
         int k = chunkX * 16;
         int l = chunkZ * 16;
-        Random rand = new Random(world.getRandomSeed());
+        Random rand = new Random(this.world.getRandomSeed());
         long l1 = (rand.nextLong() / 2L) * 2L + 1L;
         long l2 = (rand.nextLong() / 2L) * 2L + 1L;
-        rand.setSeed((long) chunkX * l1 + (long) chunkZ * l2 ^ world.getRandomSeed());
-        for (int i1 = 0; i1 < 8; i1++)
-        {
+        rand.setSeed((long) chunkX * l1 + (long) chunkZ * l2 ^ this.world.getRandomSeed());
+        for (int i1 = 0; i1 < 8; i1++) {
             int i4 = k + rand.nextInt(16) + 8;
             int j6 = minY + rand.nextInt(rangeY);
             int i11 = l + rand.nextInt(16) + 8;
-            (new WorldFeatureDungeon(Blocks.COBBLE_STONE.id(), Blocks.COBBLE_STONE_MOSSY.id(), null)).place(world, rand, i4, j6, i11);
+            (new WorldFeatureDungeon(Blocks.COBBLE_STONE.id(), Blocks.COBBLE_STONE_MOSSY.id(), null)).place(this.world, rand, i4, j6, i11);
         }
 
-        for (int j1 = 0; j1 < 10; j1++)
-        {
+        for (int j1 = 0; j1 < 10; j1++) {
             int j4 = k + rand.nextInt(16);
             int k6 = minY + rand.nextInt(rangeY);
             int j11 = l + rand.nextInt(16);
-            (new WorldFeatureClay(32)).place(world, rand, j4, k6, j11);
+            (new WorldFeatureClay(32)).place(this.world, rand, j4, k6, j11);
         }
 
-        for (int k1 = 0; k1 < 20; k1++)
-        {
+        for (int k1 = 0; k1 < 20; k1++) {
             int k4 = k + rand.nextInt(16);
             int l6 = minY + rand.nextInt(rangeY);
             int k11 = l + rand.nextInt(16);
-            (new WorldFeatureOre(Blocks.DIRT.id(), 32)).place(world, rand, k4, l6, k11);
+            (new WorldFeatureOre(Blocks.DIRT.id(), 32)).place(this.world, rand, k4, l6, k11);
         }
 
-        for (int i2 = 0; i2 < 10; i2++)
-        {
+        for (int i2 = 0; i2 < 10; i2++) {
             int l4 = k + rand.nextInt(16);
             int i7 = minY + rand.nextInt(rangeY);
             int l11 = l + rand.nextInt(16);
-            (new WorldFeatureOre(Blocks.GRAVEL.id(), 32)).place(world, rand, l4, i7, l11);
+            (new WorldFeatureOre(Blocks.GRAVEL.id(), 32)).place(this.world, rand, l4, i7, l11);
         }
 
-        for (int j2 = 0; j2 < 20; j2++)
-        {
+        for (int j2 = 0; j2 < 20; j2++) {
             int i5 = k + rand.nextInt(16);
             int j7 = minY + rand.nextInt(rangeY);
             int i12 = l + rand.nextInt(16);
-            (new WorldFeatureOre(BlockLogicOreCoal.variantMap, 16)).place(world, rand, i5, j7, i12);
+            (new WorldFeatureOre(BlockLogicOreCoal.variantMap, 16)).place(this.world, rand, i5, j7, i12);
         }
 
-        for (int k2 = 0; k2 < 20; k2++)
-        {
+        for (int k2 = 0; k2 < 20; k2++) {
             int j5 = k + rand.nextInt(16);
             int k7 = minY + rand.nextInt(rangeY / 2);
             int j12 = l + rand.nextInt(16);
-            (new WorldFeatureOre(BlockLogicOreIron.variantMap, 8)).place(world, rand, j5, k7, j12);
+            (new WorldFeatureOre(BlockLogicOreIron.variantMap, 8)).place(this.world, rand, j5, k7, j12);
         }
 
-        for (int i3 = 0; i3 < 2; i3++)
-        {
+        for (int i3 = 0; i3 < 2; i3++) {
             int k5 = k + rand.nextInt(16);
             int l7 = minY + rand.nextInt(rangeY / 4);
             int k12 = l + rand.nextInt(16);
-            (new WorldFeatureOre(BlockLogicOreGold.variantMap, 8)).place(world, rand, k5, l7, k12);
+            (new WorldFeatureOre(BlockLogicOreGold.variantMap, 8)).place(this.world, rand, k5, l7, k12);
         }
 
-        for (int j3 = 0; j3 < 8; j3++)
-        {
+        for (int j3 = 0; j3 < 8; j3++) {
             int l5 = k + rand.nextInt(16);
             int i8 = minY + rand.nextInt(rangeY / 8);
             int l12 = l + rand.nextInt(16);
-            (new WorldFeatureOre(BlockLogicOreRedstone.variantMap, 7)).place(world, rand, l5, i8, l12);
+            (new WorldFeatureOre(BlockLogicOreRedstone.variantMap, 7)).place(this.world, rand, l5, i8, l12);
         }
 
-        for (int k3 = 0; k3 < 1; k3++)
-        {
+        for (int k3 = 0; k3 < 1; k3++) {
             int i6 = k + rand.nextInt(16);
             int j8 = minY + rand.nextInt(rangeY / 8);
             int i13 = l + rand.nextInt(16);
-            (new WorldFeatureOre(BlockLogicOreDiamond.variantMap, 7)).place(world, rand, i6, j8, i13);
+            (new WorldFeatureOre(BlockLogicOreDiamond.variantMap, 7)).place(this.world, rand, i6, j8, i13);
         }
 
         double d = 0.5D;
-        int l3 = (int)((treeDensityNoise.get((double)k * d, (double)l * d) / 8D + rand.nextDouble() * 4D + 4D) / 3D);
-        if (l3 < 0)
-        {
+        int l3 = (int) ((this.treeDensityNoise.get((double) k * d, (double) l * d) / 8D + rand.nextDouble() * 4D + 4D) / 3D);
+        if (l3 < 0) {
             l3 = 0;
         }
-        if (rand.nextInt(10) == 0)
-        {
+        if (rand.nextInt(10) == 0) {
             l3++;
         }
         WorldFeature tree = new WorldFeatureTree(Blocks.LEAVES_OAK_RETRO.id(), Blocks.LOG_OAK.id(), 4);
-        if (rand.nextInt(10) == 0)
-        {
+        if (rand.nextInt(10) == 0) {
             tree = new WorldFeatureTreeFancy(Blocks.LEAVES_OAK_RETRO.id(), Blocks.LOG_OAK.id());
         }
-        for (int k8 = 0; k8 < l3; k8++)
-        {
+        for (int k8 = 0; k8 < l3; k8++) {
             int j13 = k + rand.nextInt(16) + 8;
             int l15 = l + rand.nextInt(16) + 8;
             tree.init(1.0D, 1.0D, 1.0D);
-            tree.place(world, rand, j13, world.getHeightValue(j13, l15), l15);
+            tree.place(this.world, rand, j13, this.world.getHeightValue(j13, l15), l15);
         }
 
-        for (int l8 = 0; l8 < 2; l8++)
-        {
+        for (int l8 = 0; l8 < 2; l8++) {
             int k13 = k + rand.nextInt(16) + 8;
             int i16 = minY + rand.nextInt(rangeY);
             int j18 = l + rand.nextInt(16) + 8;
-            (new WorldFeatureFlowers(Blocks.FLOWER_YELLOW.id(), 64, false)).place(world, rand, k13, i16, j18);
+            (new WorldFeatureFlowers(Blocks.FLOWER_YELLOW.id(), 64, false)).place(this.world, rand, k13, i16, j18);
         }
 
-        if (rand.nextInt(2) == 0)
-        {
+        if (rand.nextInt(2) == 0) {
             int i9 = k + rand.nextInt(16) + 8;
             int l13 = minY + rand.nextInt(rangeY);
             int j16 = l + rand.nextInt(16) + 8;
-            (new WorldFeatureFlowers(Blocks.FLOWER_RED.id(), 64, false)).place(world, rand, i9, l13, j16);
+            (new WorldFeatureFlowers(Blocks.FLOWER_RED.id(), 64, false)).place(this.world, rand, i9, l13, j16);
         }
-        if (rand.nextInt(4) == 0)
-        {
+        if (rand.nextInt(4) == 0) {
             int j9 = k + rand.nextInt(16) + 8;
             int i14 = minY + rand.nextInt(rangeY);
             int k16 = l + rand.nextInt(16) + 8;
-            (new WorldFeatureFlowers(Blocks.MUSHROOM_BROWN.id(), 64, false)).place(world, rand, j9, i14, k16);
+            (new WorldFeatureFlowers(Blocks.MUSHROOM_BROWN.id(), 64, false)).place(this.world, rand, j9, i14, k16);
         }
-        if (rand.nextInt(8) == 0)
-        {
+        if (rand.nextInt(8) == 0) {
             int k9 = k + rand.nextInt(16) + 8;
             int j14 = minY + rand.nextInt(rangeY);
             int l16 = l + rand.nextInt(16) + 8;
-            (new WorldFeatureFlowers(Blocks.MUSHROOM_RED.id(), 64, false)).place(world, rand, k9, j14, l16);
+            (new WorldFeatureFlowers(Blocks.MUSHROOM_RED.id(), 64, false)).place(this.world, rand, k9, j14, l16);
         }
-        for (int l9 = 0; l9 < 10; l9++)
-        {
+        for (int l9 = 0; l9 < 10; l9++) {
             int k14 = k + rand.nextInt(16) + 8;
             int i17 = minY + rand.nextInt(rangeY);
             int k18 = l + rand.nextInt(16) + 8;
-            (new WorldFeatureSugarCane()).place(world, rand, k14, i17, k18);
+            (new WorldFeatureSugarCane()).place(this.world, rand, k14, i17, k18);
         }
 
-        for (int i10 = 0; i10 < 1; i10++)
-        {
+        for (int i10 = 0; i10 < 1; i10++) {
             int l14 = k + rand.nextInt(16) + 8;
             int j17 = minY + rand.nextInt(rangeY);
             int l18 = l + rand.nextInt(16) + 8;
-            (new WorldFeatureCactus()).place(world, rand, l14, j17, l18);
+            (new WorldFeatureCactus()).place(this.world, rand, l14, j17, l18);
         }
 
-        for (int j10 = 0; j10 < 50; j10++)
-        {
+        for (int j10 = 0; j10 < 50; j10++) {
             int i15 = k + rand.nextInt(16) + 8;
             int k17 = minY + rand.nextInt(rand.nextInt(rangeY - 8) + 8);
             int i19 = l + rand.nextInt(16) + 8;
-            (new WorldFeatureLiquid(Blocks.FLUID_WATER_FLOWING.id())).place(world, rand, i15, k17, i19);
+            (new WorldFeatureLiquid(Blocks.FLUID_WATER_FLOWING.id())).place(this.world, rand, i15, k17, i19);
         }
 
-        for (int k10 = 0; k10 < 20; k10++)
-        {
+        for (int k10 = 0; k10 < 20; k10++) {
             int j15 = k + rand.nextInt(16) + 8;
             int l17 = minY + rand.nextInt(rand.nextInt(rand.nextInt(rangeY / 2 - rangeY / 8) + 8) + 8);
             int j19 = l + rand.nextInt(16) + 8;
-            (new WorldFeatureLiquid(Blocks.FLUID_LAVA_FLOWING.id())).place(world, rand, j15, l17, j19);
+            (new WorldFeatureLiquid(Blocks.FLUID_LAVA_FLOWING.id())).place(this.world, rand, j15, l17, j19);
         }
 
-        for (int l10 = k + 8; l10 < k + 8 + 16; l10++)
-        {
-            for (int k15 = l + 8; k15 < l + 8 + 16; k15++)
-            {
-                int i18 = world.findTopSolidBlock(l10, k15);
-                if (snowCovered && i18 > minY && i18 <= maxY && world.getBlockId(l10, i18, k15) == 0 && world.getBlockMaterial(l10, i18 - 1, k15).blocksMotion() && world.getBlockMaterial(l10, i18 - 1, k15) != Material.ice)
-                {
-                    world.setBlockWithNotify(l10, i18, k15, Blocks.LAYER_SNOW.id());
+        for (int l10 = k + 8; l10 < k + 8 + 16; l10++) {
+            for (int k15 = l + 8; k15 < l + 8 + 16; k15++) {
+                int i18 = this.world.findTopSolidBlock(l10, k15);
+                if (this.snowCovered && i18 > minY && i18 <= maxY && this.world.getBlockId(l10, i18, k15) == 0 && this.world.getBlockMaterial(l10, i18 - 1, k15).blocksMotion() && this.world.getBlockMaterial(l10, i18 - 1, k15) != Material.ice) {
+                    this.world.setBlockWithNotify(l10, i18, k15, Blocks.LAYER_SNOW.id());
                 }
-                if (snowCovered && world.getBlockMaterial(l10, world.getWorldType().getOceanY() - 1, k15) == Material.water)
-                {
-                    world.setBlockWithNotify(l10, world.getWorldType().getOceanY() - 1, k15, Blocks.ICE.id());
+                if (this.snowCovered && this.world.getBlockMaterial(l10, this.world.getWorldType().getOceanY() - 1, k15) == Material.water) {
+                    this.world.setBlockWithNotify(l10, this.world.getWorldType().getOceanY() - 1, k15, Blocks.ICE.id());
                 }
             }
 
         }
 
         BlockLogicSand.fallInstantly = false;
-        world.scheduledUpdatesAreImmediate = false;
+        this.world.scheduledUpdatesAreImmediate = false;
     }
 }
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/ChunkGeneratorOverworldRetro.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/ChunkGeneratorOverworldRetro.java
index 2ec4add36..f94ecf8f1 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/ChunkGeneratorOverworldRetro.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/ChunkGeneratorOverworldRetro.java
@@ -5,18 +5,17 @@ import net.minecraft.core.world.generate.CavesLargeFeature;
 import net.minecraft.core.world.generate.LargeFeature;
 import net.minecraft.core.world.generate.RetroCavesLargeFeature;
 import net.minecraft.core.world.generate.chunk.perlin.ChunkGeneratorPerlin;
+import org.jetbrains.annotations.NotNull;
 
 public class ChunkGeneratorOverworldRetro
-    extends ChunkGeneratorPerlin
-{
+    extends ChunkGeneratorPerlin {
 
-    public ChunkGeneratorOverworldRetro(World world)
-    {
+    public ChunkGeneratorOverworldRetro(@NotNull World world) {
         super(world,
-              new ChunkDecoratorOverworldRetro(world),
-              new TerrainGeneratorOverworldRetro(world),
-              new SurfaceGeneratorOverworldRetro(world),
-              new LargeFeature[] { new RetroCavesLargeFeature(world.getWorldType().getMinY(), world.getWorldType().getMaxY() + 1) }
+            new ChunkDecoratorOverworldRetro(world),
+            new TerrainGeneratorOverworldRetro(world),
+            new SurfaceGeneratorOverworldRetro(world),
+            new LargeFeature[]{new RetroCavesLargeFeature(world.getWorldType().getMinY(), world.getWorldType().getMaxY() + 1)}
         );
     }
 }
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/DensityGeneratorOverworldRetro.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/DensityGeneratorOverworldRetro.java
index c5790fb8e..746c7b494 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/DensityGeneratorOverworldRetro.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/DensityGeneratorOverworldRetro.java
@@ -3,19 +3,18 @@ package net.minecraft.core.world.generate.chunk.perlin.overworld.retro;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.generate.chunk.perlin.overworld.DensityGeneratorOverworld;
 import net.minecraft.core.world.noise.RetroPerlinNoise;
+import org.jetbrains.annotations.NotNull;
 
 public class DensityGeneratorOverworldRetro
-    extends DensityGeneratorOverworld
-{
-    public DensityGeneratorOverworldRetro(World world)
-    {
+    extends DensityGeneratorOverworld {
+    public DensityGeneratorOverworldRetro(@NotNull World world) {
         super(world,
-              new RetroPerlinNoise(world.getRandomSeed(), 16, 0),
-              new RetroPerlinNoise(world.getRandomSeed(), 16, 16),
-              new RetroPerlinNoise(world.getRandomSeed(), 8, 32),
-              new RetroPerlinNoise(world.getRandomSeed(), 10, 48),
-              new RetroPerlinNoise(world.getRandomSeed(), 16, 58),
-              false
+            new RetroPerlinNoise(world.getRandomSeed(), 16, 0),
+            new RetroPerlinNoise(world.getRandomSeed(), 16, 16),
+            new RetroPerlinNoise(world.getRandomSeed(), 8, 32),
+            new RetroPerlinNoise(world.getRandomSeed(), 10, 48),
+            new RetroPerlinNoise(world.getRandomSeed(), 16, 58),
+            false
         );
     }
 }
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/SurfaceGeneratorOverworldRetro.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/SurfaceGeneratorOverworldRetro.java
index e1b7903ac..6af246763 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/SurfaceGeneratorOverworldRetro.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/SurfaceGeneratorOverworldRetro.java
@@ -3,17 +3,16 @@ package net.minecraft.core.world.generate.chunk.perlin.overworld.retro;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.generate.chunk.perlin.overworld.SurfaceGeneratorOverworld;
 import net.minecraft.core.world.noise.RetroPerlinNoise;
+import org.jetbrains.annotations.NotNull;
 
 public class SurfaceGeneratorOverworldRetro
-    extends SurfaceGeneratorOverworld
-{
-    public SurfaceGeneratorOverworldRetro(World world)
-    {
+    extends SurfaceGeneratorOverworld {
+    public SurfaceGeneratorOverworldRetro(@NotNull World world) {
         super(world,
-              new RetroPerlinNoise(world.getRandomSeed(), 4, 40),
-              new RetroPerlinNoise(world.getRandomSeed(), 4, 44),
-              new RetroPerlinNoise(world.getRandomSeed(), 8, 32),
-              false
+            new RetroPerlinNoise(world.getRandomSeed(), 4, 40),
+            new RetroPerlinNoise(world.getRandomSeed(), 4, 44),
+            new RetroPerlinNoise(world.getRandomSeed(), 8, 32),
+            false
         );
     }
 }
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/TerrainGeneratorOverworldRetro.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/TerrainGeneratorOverworldRetro.java
index b71100674..479a9f97c 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/TerrainGeneratorOverworldRetro.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/TerrainGeneratorOverworldRetro.java
@@ -2,12 +2,11 @@ package net.minecraft.core.world.generate.chunk.perlin.overworld.retro;
 
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.generate.chunk.perlin.overworld.TerrainGeneratorOverworld;
+import org.jetbrains.annotations.NotNull;
 
 public class TerrainGeneratorOverworldRetro
-    extends TerrainGeneratorOverworld
-{
-    public TerrainGeneratorOverworldRetro(World world)
-    {
+    extends TerrainGeneratorOverworld {
+    public TerrainGeneratorOverworldRetro(@NotNull World world) {
         super(world, new DensityGeneratorOverworldRetro(world));
     }
 }
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/woods/ChunkDecoratorOverworldWoods.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/woods/ChunkDecoratorOverworldWoods.java
index d617ba1d7..815107463 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/woods/ChunkDecoratorOverworldWoods.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/woods/ChunkDecoratorOverworldWoods.java
@@ -2,12 +2,11 @@ package net.minecraft.core.world.generate.chunk.perlin.overworld.woods;
 
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.generate.chunk.perlin.overworld.ChunkDecoratorOverworld;
+import org.jetbrains.annotations.NotNull;
 
 public class ChunkDecoratorOverworldWoods
-    extends ChunkDecoratorOverworld
-{
-    public ChunkDecoratorOverworldWoods(World world)
-    {
+    extends ChunkDecoratorOverworld {
+    public ChunkDecoratorOverworldWoods(@NotNull World world) {
         super(world, 50);
     }
 }
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/woods/ChunkGeneratorOverworldWoods.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/woods/ChunkGeneratorOverworldWoods.java
index f26db10b4..79da8671e 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/woods/ChunkGeneratorOverworldWoods.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/woods/ChunkGeneratorOverworldWoods.java
@@ -6,12 +6,11 @@ import net.minecraft.core.world.generate.LargeFeature;
 import net.minecraft.core.world.generate.chunk.perlin.ChunkGeneratorPerlin;
 import net.minecraft.core.world.generate.chunk.perlin.overworld.SurfaceGeneratorOverworld;
 import net.minecraft.core.world.generate.chunk.perlin.overworld.TerrainGeneratorOverworld;
+import org.jetbrains.annotations.NotNull;
 
 public class ChunkGeneratorOverworldWoods
-    extends ChunkGeneratorPerlin
-{
-    public ChunkGeneratorOverworldWoods(World world)
-    {
-        super(world, new ChunkDecoratorOverworldWoods(world), new TerrainGeneratorOverworld(world), new SurfaceGeneratorOverworld(world), new LargeFeature[] { new CavesLargeFeature() });
+    extends ChunkGeneratorPerlin {
+    public ChunkGeneratorOverworldWoods(@NotNull World world) {
+        super(world, new ChunkDecoratorOverworldWoods(world), new TerrainGeneratorOverworld(world), new SurfaceGeneratorOverworld(world), new LargeFeature[]{new CavesLargeFeature()});
     }
 }
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/skyblock/ChunkDecoratorSkyblock.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/skyblock/ChunkDecoratorSkyblock.java
index 2f734c0e9..8ebb9d387 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/skyblock/ChunkDecoratorSkyblock.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/skyblock/ChunkDecoratorSkyblock.java
@@ -8,13 +8,14 @@ import net.minecraft.core.item.Items;
 import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.generate.chunk.ChunkDecorator;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTree;
+import org.jetbrains.annotations.NotNull;
 
 import java.util.Random;
 
 public class ChunkDecoratorSkyblock
     implements ChunkDecorator {
     @Override
-    public void decorate(Chunk chunk) {
+    public void decorate(@NotNull Chunk chunk) {
         // Starting island
         if (contains(chunk, -1, 1)) {
             new WorldFeatureTree(Blocks.LEAVES_OAK.id(), Blocks.LOG_OAK.id(), 6).place(chunk.world, new Random(0), -1, 67, 1);
@@ -22,10 +23,9 @@ public class ChunkDecoratorSkyblock
         if (contains(chunk, 4, -3)) {
             chunk.setBlockIDWithMetadata(4 & (Chunk.CHUNK_SIZE_X - 1), 67, -3 & (Chunk.CHUNK_SIZE_Z - 1), Blocks.CHEST_PLANKS_OAK.id(), 3);
             TileEntity tileEntity = chunk.getTileEntity(4 & (Chunk.CHUNK_SIZE_X - 1), 67, -3 & (Chunk.CHUNK_SIZE_Z - 1));
-            if (tileEntity instanceof TileEntityChest) {
-                TileEntityChest chestEntity = (TileEntityChest) tileEntity;
-                chestEntity.setItem(0, new ItemStack(Items.BUCKET_LAVA, 1));
-                chestEntity.setItem(1, new ItemStack(Blocks.ICE, 1));
+            if (tileEntity instanceof TileEntityChest chest) {
+                chest.setItem(0, new ItemStack(Items.BUCKET_LAVA, 1));
+                chest.setItem(1, new ItemStack(Blocks.ICE, 1));
             }
         }
 
@@ -33,16 +33,15 @@ public class ChunkDecoratorSkyblock
         if (contains(chunk, -67, 0)) {
             chunk.setBlockIDWithMetadata(-67 & (Chunk.CHUNK_SIZE_X - 1), 67, 0 & (Chunk.CHUNK_SIZE_Z - 1), Blocks.CHEST_PLANKS_OAK.id(), 1);
             TileEntity tileEntity = chunk.getTileEntity(-67 & (Chunk.CHUNK_SIZE_X - 1), 67, 0 & (Chunk.CHUNK_SIZE_Z - 1));
-            if (tileEntity instanceof TileEntityChest) {
-                TileEntityChest chestEntity = (TileEntityChest) tileEntity;
-                chestEntity.setItem(0, new ItemStack(Blocks.OBSIDIAN, 14));
-                chestEntity.setItem(1, new ItemStack(Items.SEEDS_PUMPKIN, 1));
+            if (tileEntity instanceof TileEntityChest chest) {
+                chest.setItem(0, new ItemStack(Blocks.OBSIDIAN, 14));
+                chest.setItem(1, new ItemStack(Items.SEEDS_PUMPKIN, 1));
             }
 
         }
     }
 
-    private boolean contains(Chunk chunk, int xBlock, int zBlock) {
+    private boolean contains(@NotNull Chunk chunk, int xBlock, int zBlock) {
         return chunk.pos.x == xBlock >> 4 && chunk.pos.z == zBlock >> 4;
     }
 
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/skyblock/ChunkDecoratorSkyblockNether.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/skyblock/ChunkDecoratorSkyblockNether.java
index 9ec3ab391..2a7aa8949 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/skyblock/ChunkDecoratorSkyblockNether.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/skyblock/ChunkDecoratorSkyblockNether.java
@@ -7,11 +7,12 @@ import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.generate.chunk.ChunkDecorator;
+import org.jetbrains.annotations.NotNull;
 
 public class ChunkDecoratorSkyblockNether
     implements ChunkDecorator {
     @Override
-    public void decorate(Chunk chunk) {
+    public void decorate(@NotNull Chunk chunk) {
         // Portal
         for (int z = 0; z <= 1; z++) {
             if (contains(chunk, 2, z)) {
@@ -25,11 +26,10 @@ public class ChunkDecoratorSkyblockNether
         if (contains(chunk, 1, -1)) {
             chunk.setBlockIDWithMetadata(1 & (Chunk.CHUNK_SIZE_X - 1), 66, -1 & (Chunk.CHUNK_SIZE_Z - 1), Blocks.CHEST_PLANKS_OAK.id(), 3);
             TileEntity tileEntity = chunk.getTileEntity(1 & (Chunk.CHUNK_SIZE_X - 1), 66, -1 & (Chunk.CHUNK_SIZE_Z - 1));
-            if (tileEntity != null) {
-                TileEntityChest tileEntityChest = (TileEntityChest) tileEntity;
-                tileEntityChest.setItem(0, new ItemStack(Blocks.SAPLING_BIRCH, 1));
-                tileEntityChest.setItem(1, new ItemStack(Items.SUGARCANE, 1));
-                tileEntityChest.setItem(2, new ItemStack(Blocks.ICE, 1));
+            if (tileEntity instanceof TileEntityChest chest) {
+                chest.setItem(0, new ItemStack(Blocks.SAPLING_BIRCH, 1));
+                chest.setItem(1, new ItemStack(Items.SUGARCANE, 1));
+                chest.setItem(2, new ItemStack(Blocks.ICE, 1));
             }
         }
 
@@ -38,11 +38,11 @@ public class ChunkDecoratorSkyblockNether
         tryPlace(chunk, -1, 66, 1, Blocks.MUSHROOM_RED.id());
     }
 
-    private boolean contains(Chunk chunk, int xBlock, int zBlock) {
+    private boolean contains(@NotNull Chunk chunk, int xBlock, int zBlock) {
         return chunk.pos.x == xBlock >> 4 && chunk.pos.z == zBlock >> 4;
     }
 
-    private void tryPlace(Chunk chunk, int xBlock, int yBlock, int zBlock, int blockId) {
+    private void tryPlace(@NotNull Chunk chunk, int xBlock, int yBlock, int zBlock, int blockId) {
         if (contains(chunk, xBlock, zBlock)) {
             chunk.setBlockID(xBlock & (Chunk.CHUNK_SIZE_X - 1), yBlock, zBlock & (Chunk.CHUNK_SIZE_Z - 1), blockId);
         }
